
Redmine - Defect #3983

Invalid Issue Atom Feeds Urls 

2009-10-07 11:55 - Yoann Besson

Status: Closed Start date: 2009-10-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Hi,

Base Url defined in Settings : dev.mydomain.com:9443/redmine

Url in Feeds : localhost:9443/redmine

History

#1 - 2009-10-10 12:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

This setting is only used to generate URLs in email notifications (which can be sent by offline scripts).

Feeds URLs uses the Host header of your HTTP request.

#2 - 2009-10-10 12:48 - Yoann Besson

- Status changed from Closed to Reopened

Hi Jean-Philippe,

Ok so if Feeds URLS uses the host header of the HTTP request, it still a bug since i'm using Redmine througth a Reverse Proxy which Pass Request

like that :

dev.mydomain.com:443 (External) => IIS Reverse Proxy with Rewrite Rules (8443) => localhost:8088 (Apache) => Mongrel (localhost:3001,3002)

I think it should be great to be able to specify Feeds URLs host names.

Thanks.

#3 - 2009-10-11 11:09 - Jean-Philippe Lang

Your reverse proxy should set the X-Forwarded-Host header. Rails will use it.

#4 - 2009-10-24 14:11 - Jean-Philippe Lang

- Status changed from Reopened to Closed
